pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/devel/pkg-config Restore cross-compiling ability.
details: https://anonhg.NetBSD.org/pkgsrc/rev/b77118e51847
branches: trunk
changeset: 537768:b77118e51847
user: joerg <joerg%pkgsrc.org@localhost>
date: Tue Jan 15 22:56:57 2008 +0000
description:
Restore cross-compiling ability.
diffstat:
devel/pkg-config/distinfo | 4 +-
devel/pkg-config/patches/patch-ca | 601 ++++++++++++++++++++++++++++++++++++++
devel/pkg-config/patches/patch-cb | 184 +++++++++++
3 files changed, 788 insertions(+), 1 deletions(-)
diffs (truncated from 808 to 300 lines):
diff -r 2d23b1851d6f -r b77118e51847 devel/pkg-config/distinfo
--- a/devel/pkg-config/distinfo Tue Jan 15 22:53:59 2008 +0000
+++ b/devel/pkg-config/distinfo Tue Jan 15 22:56:57 2008 +0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.11 2007/11/30 22:12:07 wiz Exp $
+$NetBSD: distinfo,v 1.12 2008/01/15 22:56:57 joerg Exp $
SHA1 (pkg-config-0.22.tar.gz) = 3ec40bda9864d7aa3c912c6ae87a750fd8b6e420
RMD160 (pkg-config-0.22.tar.gz) = f82754f9892469d2865cc5d2fd3c2ca4513dab5b
@@ -10,3 +10,5 @@
SHA1 (patch-ae) = b924f64ee3c7ef9f3efe6d83b60bc0a6fbe1f26d
SHA1 (patch-af) = 1186777da42151583594fd137e135ef6a77ee09f
SHA1 (patch-ah) = 9b5e537f2c0606efa45078d02de53700f3d3439a
+SHA1 (patch-ca) = 35c356be48bc2656f652c714b780c644dc0aa879
+SHA1 (patch-cb) = 4ee19e36d7876a99f294c9c2efd19a9edc0e4236
diff -r 2d23b1851d6f -r b77118e51847 devel/pkg-config/patches/patch-ca
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/devel/pkg-config/patches/patch-ca Tue Jan 15 22:56:57 2008 +0000
@@ -0,0 +1,601 @@
+$NetBSD: patch-ca,v 1.1 2008/01/15 22:56:57 joerg Exp $
+
+--- glib-1.2.8/configure.orig 2008-01-15 23:25:54.000000000 +0100
++++ glib-1.2.8/configure
+@@ -20267,119 +20267,6 @@ if test "x$GCC" = "xyes"; then
+ fi
+ fi
+
+-{ echo "$as_me:$LINENO: checking for extra flags to get ANSI library prototypes" >&5
+-echo $ECHO_N "checking for extra flags to get ANSI library prototypes... $ECHO_C" >&6; }
+-glib_save_LIBS=$LIBS
+-LIBS="$LIBS -lm"
+-if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <math.h>
+- int main (void) { return (log(1) != log(1.)); }
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- { echo "$as_me:$LINENO: result: none needed" >&5
+-echo "${ECHO_T}none needed" >&6; }
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-glib_save_CFLAGS=$CFLAGS
+- CFLAGS="$CFLAGS -std1"
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <math.h>
+- int main (void) { return (log(1) != log(1.)); }
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- { echo "$as_me:$LINENO: result: -std1" >&5
+-echo "${ECHO_T}-std1" >&6; }
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-{ echo "$as_me:$LINENO: result: " >&5
+-echo "${ECHO_T}" >&6; }
+- CFLAGS=$glib_save_CFLAGS
+- { echo "$as_me:$LINENO: WARNING: No ANSI prototypes found in library. (-std1 didn't work.)" >&5
+-echo "$as_me: WARNING: No ANSI prototypes found in library. (-std1 didn't work.)" >&2;}
+-
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+-
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+-LIBS=$glib_save_LIBS
+-
+ { echo "$as_me:$LINENO: checking for extra flags for POSIX compliance" >&5
+ echo $ECHO_N "checking for extra flags for POSIX compliance... $ECHO_C" >&6; }
+ cat >conftest.$ac_ext <<_ACEOF
+@@ -23474,14 +23361,7 @@ if test "${glib_cv_has__inline+set}" = s
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
++ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+@@ -23492,41 +23372,33 @@ cat >>conftest.$ac_ext <<_ACEOF
+ int main () { return foo (); }
+
+ _ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
++rm -f conftest.$ac_objext
++if { (ac_try="$ac_compile"
+ case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
++ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest.$ac_objext; then
+ glib_cv_has__inline=yes
+-
++ glib_cv_has__inline=no
+ else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
++ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+-( exit $ac_status )
+-glib_cv_has__inline=no
+
+ fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ fi
+
+@@ -23544,14 +23416,7 @@ if test "${glib_cv_has__inline__+set}" =
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
++ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+@@ -23562,41 +23427,33 @@ cat >>conftest.$ac_ext <<_ACEOF
+ int main () { return foo (); }
+
+ _ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
++rm -f conftest.$ac_objext
++if { (ac_try="$ac_compile"
+ case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
++ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest.$ac_objext; then
+ glib_cv_has__inline__=yes
+-
++ glib_cv_has__inline__=no
+ else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
++ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+-( exit $ac_status )
+-glib_cv_has__inline__=no
+
+ fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ fi
+
+@@ -23614,14 +23471,7 @@ if test "${glib_cv_hasinline+set}" = set
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
++ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
Home |
Main Index |
Thread Index |
Old Index